package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class CondExprAndC extends CondExpr {
    public final CondExpr condexpr_1, condexpr_2;

    public CondExprAndC(CondExpr p1, CondExpr p2) {

        condexpr_1 = p1;
        condexpr_2 = p2;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return 37 * (this.condexpr_1.hashCode()) + this.condexpr_2.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprAndC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprAndC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.CondExprAndC) o;
            return this.condexpr_1.equals(x.condexpr_1) && this.condexpr_2.equals(x.condexpr_2);
        }
        return false;
    }


}
